# Generated from poise-service-1.5.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name poise-service

Name: rubygem-%{gem_name}
Version: 1.5.2
Release: 1%{?dist}
Summary: A Chef cookbook for managing system services
License: Apache-2.0
URL: https://github.com/poise/poise-service
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(kitchen-rackspace) >= 0.14
# BuildRequires: rubygem(kitchen-rackspace) < 1
# BuildRequires: rubygem(poise-boiler) >= 1.6
# BuildRequires: rubygem(poise-boiler) < 2
BuildArch: noarch

%description
A Chef cookbook for managing system services.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.kitchen.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/.yo-rc.json
%license %{gem_instdir}/LICENSE
%{gem_instdir}/chef
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/poise-service.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.5.2-1
- Initial package
